
/* Location of scripts *.i and plugin *.so files */
SCRIPT_PATH = get_env("PNDRS_DIR");
PLUGIN_PATH = get_env("PIONIER_PLUGIN_PATH");

/* Add these paths to the searched directories */
if ( SCRIPT_PATH ) set_path,SCRIPT_PATH+":"+get_path();
if ( PLUGIN_PATH ) plug_dir,grow(PLUGIN_PATH,plug_dir());

/* Load pndrs and make it silent and batch */
include,"pndrs.i";
pndrsBatchMakeSilentGraphics, 0;
yocoErrorSet,0;
batch,1;

/* Process arguments */
argv = get_argv();
outputFile = pndrsGetArgument(argv,"--outputFile=");
inputMatrixFile = pndrsGetArgument(argv,"--inputMatrixFile=");
inputDarkFile = pndrsGetArgument(argv,"--inputDarkFile=");
inputSpecCalFile = pndrsGetArgument(argv,"--inputSpecCalFile=");
inputCatalogFile = pndrsGetArgument(argv,"--inputCatalogFile=");
inputScienceFile = pndrsGetArgument(argv,"--inputScienceFile=");

/* Define loglevel */
pndrsArgvSetLogLevel, argv;

/* Run computation */
pndrsComputeSingleOiData, inputMatrixFile=inputMatrixFile,
                          inputDarkFile=inputDarkFile,
                          inputSpecCalFile=inputSpecCalFile,
                          inputCatalogFile=inputCatalogFile,
                          inputScienceFile=inputScienceFile,
                          outputOiDataFile=outputFile;

/* Exit Yorick */
quit;
